# Docker Compose Repo for Open Datenschutzcenter


## Installation of Open Datenschutzcenter
Use the root user to setup docker and the Open Datenschutzcenter
```sh
su root
```

To use the setup script for docker-compose, run the following commands.

```sh
echo "Download Setup Script"
wget https://git.h2-invent.com/Datenschutzcenter/Docker-Compose/raw/branch/main/setup.sh
echo "Execute Setup Script"
bash setup.sh
echo "Remove Setup Script"
rm setup.sh
echo "Execute Docker Compose"
cd /opt/odc && docker-compose up -d
```


## Working directory
The setup script will clone and add files into the directory /opt/odc.

You can run the composer command inside this directory again to update the containers or check the variables which are used to setup the containers.

```sh
cd /opt/odc
```
Following Files are important and have been changed and setup with the script:
* .env.local
* docker.config
* docker-compose.yml
